import React, { useState } from 'react';

// import { searchAutoCity } from '../../api/jsonp/autoService';
import HeaderSearch from '../HeaderSearch';
// import NoticeIcon from '../NoticeIcon';
import Avatar from './AvatarDropdown';
import styles from './index.less';
import NoticeIconView from './NoticeIconView';

const GlobalHeaderRight = props => {
  const { theme, layout } = props;
  const [options, setOptions] = useState([]);
  let className = styles.right;

  if (theme === 'dark' && layout === 'top') {
    className = `${styles.right}  ${styles.dark}`;
  }

  const handleSearch = value => {
    const search = new AMap.Autocomplete();
    const areaName =
      createStoreage.get('globalConfig').mapsettings.areasettings &&
      createStoreage.get('globalConfig').mapsettings.areasettings.areaName;
    const area = (areaName ? areaName : '') + value;
    setOptions([]);
    value
      ? search.search(area, (status, res) => {
          if (res && res.tips) {
            const result = res.tips.map(item => {
              item.value = item.name;
              item.label = (
                <>
                  <span>{item.name}</span>
                  <span style={{ color: '#c1c1c1' }}>
                    {item.district + item.address}
                  </span>
                </>
              );
              return item;
            });

            setOptions(result);
          }
        })
      : setOptions([]);
  };

  const handleSelect = (value, data) => {
    window.share.event.emit('addTips', options, data);
  };

  return (
    <div className={className}>
      <HeaderSearch
        className={`${styles.action} ${styles.search}`}
        placeholder="搜索位置"
        defaultValue=""
        options={options}
        onSelect={handleSelect}
        onChange={handleSearch}
        onSearch={handleSearch}
      />
      <NoticeIconView notices={[]} />
      <Avatar menu />
      {/* <SelectLang className={styles.action} /> */}
    </div>
  );
};

export default GlobalHeaderRight;
